
.text-nowrap {white-space: nowrap;}

/** Colors **/
.has-text-1st {color: var(--cl-1st);}
.has-text-1st-light {color: var(--cl-1st-light);}
.has-text-2nd {color: var(--cl-2nd);}
.has-text-2nd-light {color: var(--cl-2nd-light);}
.has-background-1st {background-color: var(--cl-1st);}
.has-background-1st-light {background-color: var(--cl-1st-light);}
.has-background-2nd {background-color: var(--cl-2nd);}
.has-background-2nd-light {background-color: var(--cl-2nd-light);}
.has-background-transparent {background-color: transparent;}

/** Borders **/
.b-1 {border: 1px solid black;}
.bt-1 {border-top: 1px solid black;}
.bb-1 {border-bottom: 1px solid black;}
.bl-1 {border-left: 1px solid black;}
.br-1 {border-right: 1px solid black;}
.bx-1 {border-left: 1px solid black; border-right: 1px solid black;}
.by-1 {border-top: 1px solid black; border-bottom: 1px solid black;}
.has-border-success {border-color: #48c78e !important;}
.has-border-danger {border-color: #f14668 !important;}
.no-border-radius {border-radius: 0 !important;}
.no-border-radius-top {border-top-left-radius: 0 !important; border-top-right-radius: 0 !important;}
.no-border-radius-bottom {border-bottom-left-radius: 0 !important; border-bottom-right-radius: 0 !important;}
.no-border-radius-left {border-top-left-radius: 0 !important; border-bottom-left-radius: 0 !important;}
.no-border-radius-right {border-top-right-radius: 0 !important; border-bottom-right-radius: 0 !important;}

/** Letter Spacing **/
.ls-0 {letter-spacing: 0;}
.ls-minus1 {letter-spacing: -1px;}
.ls-minus2 {letter-spacing: -2px;}

/** Line Height **/
.lh-1 {line-height: 1;}
.lh-1h {line-height: 1.5;}
.lh-2 {line-height: 2;}

/**  Height **/
.ht-1 {height: 1em;}
.ht-2 {height: 2em;}

/** Cursor **/
.has-cursor-pointer {cursor: pointer !important;}

/** Shadow **/
.shadow-md {box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06) !important;}
.shadow-lg {box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05) !important;}
.shadow-2xl {box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25), 0 25px 50px -12px rgba(0, 0, 0, 0.25);}

/** Transform **/
.transform {
  -webkit-transform: translateX(0) translateY(0) rotate(0) skewX(0) skewY(0) scaleX(1) scaleY(1);
  transform: translateX(0) translateY(0) rotate(0) skewX(0) skewY(0) scaleX(1) scaleY(1);
}
.hover-translate-y:hover {
  -webkit-transform: translateX(0) translateY(-0.25rem) rotate(0) skewX(0) skewY(0) scaleX(1) scaleY(1) !important;
  transform: translateX(0) translateY(-0.25rem) rotate(0) skewX(0) skewY(0) scaleX(1) scaleY(1) !important;
}
.hover-shadow-xl:hover {
  box-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04) !important;
}

/** Overflow **/
.is-overflow-hidden {overflow: hidden !important;}

/** Duration **/
.is-duration-300 {transition-duration: 0.3s;}

/** Line max rows **/
.text-max-rows {
	overflow: hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
	-webkit-box-orient: vertical;
}
.text-max-rows.text-max-rows_1 {
	-webkit-line-clamp: 1;
					line-clamp: 1;
}
.text-max-rows.text-max-rows_2 {
	-webkit-line-clamp: 2;
					line-clamp: 2;
}
.text-max-rows.text-max-rows_3 {
	-webkit-line-clamp: 3;
					line-clamp: 3;
}
.text-max-rows.text-max-rows_5 {
	-webkit-line-clamp: 5;
					line-clamp: 5;
}
.text-max-rows.title-fixed-rows_1 {
  height: calc(1.13em * 1);
}
.text-max-rows.title-fixed-rows_2 {
  height: calc(1.13em * 2);
}
.text-max-rows.title-fixed-rows_3 {
  height: calc(1.13em * 3);
}
.text-max-rows.subtitle-fixed-rows_1 {
  height: calc(1.25em * 1);
}
.text-max-rows.subtitle-fixed-rows_2 {
  height: calc(1.25em * 2);
}
.text-max-rows.content-fixed-rows_5 {
  height: calc(1.5em * 5);
}

/** Corner Ribbon **/
.cr {
  width: 200px;
  padding: 16px;
  position: absolute;
  text-align: center;
  color: #f0f0f0;
}
.cr-sticky { position: fixed; }

/* Positions */
.cr-top    { top: 25px; }
.cr-bottom { bottom: 25px; }
.cr-left   { left: -50px; }
.cr-right  { right: -50px; }

/* Rotations */
.cr-top.cr-left, .cr-bottom.cr-right { transform: rotate(-45deg); }
.cr-top.cr-right, .cr-bottom.cr-left { transform: rotate(45deg); }

/** Folded Ribbon **/
.folded-ribbon {
  --ribbon-fo: 5px; /* control the folded part*/
  --ribbon-sh: 15px; /* control the ribbon shape */
  --ribbon-to: 5px; /* the top offset */
  
  position: absolute;
  inset: var(--ribbon-to) calc(-1*var(--ribbon-fo)) auto auto;
  padding: 0 10px var(--ribbon-fo) calc(10px + var(--ribbon-sh));
  clip-path: 
    polygon(0 0,100% 0,100% calc(100% - var(--ribbon-fo)),calc(100% - var(--ribbon-fo)) 100%,
      calc(100% - var(--ribbon-fo)) calc(100% - var(--ribbon-fo)),0 calc(100% - var(--ribbon-fo)),
      var(--ribbon-sh) calc(50% - var(--ribbon-fo)/2));
  /*background: #BD1550;*/
  box-shadow: 0 calc(-1*var(--ribbon-fo)) 0 inset #0005;
}

/** Tooltip element **/
/* Tooltip container */
.tooltip {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black; /* If you want dots under the hoverable text */
  cursor: help;
}

/* Tooltip text */
.tooltip .tooltiptext {
  visibility: hidden;
  min-width: 120px;
	max-width: 400px;
  background-color: black;
  color: #fff;
  text-align: center;
  padding: 5px 0;
  border-radius: 6px;
	font-size: 0.75em;
 
  /* Position the tooltip text - see examples below! */
  position: absolute;
  z-index: 1;
}

/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltiptext {
  visibility: visible;
}
.tooltip .tooltiptext.tooltipright {
  top: -5px;
  left: 105%;
}
.tooltip .tooltiptext.tooltiptop {
  width: 120px;
  bottom: 100%;
  left: 50%;
  margin-left: -60px; /* Use half of the width (120/2 = 60), to center the tooltip */
}

/* Tags */
kbd {
  background-color: #eee;
  border-radius: 3px;
  border: 1px solid #b4b4b4;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.2), 0 2px 0 0 rgba(255, 255, 255, 0.7) inset;
  color: #333;
  display: inline-block;
  font-size: 0.85em;
  font-weight: 700;
  line-height: 1;
  padding: 2px 4px;
  white-space: nowrap;
}

/* Btn Peel */
.has-code{
  clear: right;
  position: relative;
  background-color: #009ED9;
  color: white;
}

.has-code::before{
  position: absolute;
  display: block;
  content: '';
  width: 3rem;
  height: 3.5rem;
  top: 0;
  right: .15rem;
  z-index: 2;
  background-image: linear-gradient(38deg, var(--cl-2nd-light) 0, var(--cl-2nd-light) 49%, transparent 50%, transparent 100%);
  background-repeat: no-repeat;
  background-position: 0 .375rem;
  -webkit-transform: rotate(22deg) translateY(-.625rem) scaleX(0.9);
  transform: rotate(22deg) translateY(-.625rem) scaleX(0.9);
  -webkit-transition: background-position .2s, -webkit-transform .2s;
  transition: background-position .2s, -webkit-transform .2s;
  transition: transform .2s, background-position .2s;
  transition: transform .2s, background-position .2s, -webkit-transform .2s;
  border-radius: 0 0 0 .3125rem;
}

.peel-code{
  position: absolute;
  display: block;
  top: 0;
  right: 0;
  width: 2.25rem;
  height: 100%;
  overflow: hidden;
  padding: .5rem .75rem;
  direction: rtl;
  border-radius: 0 .1875rem .1875rem;
  text-align: right;
  color: var(--cl-2nd);
  background: #E9E9E9;
  -webkit-transition: width .2s;
  transition: width .2s;
  /*border: 1px dashed;*/
}

.peel-text {font-style: normal;}

.has-code::after{
  position: absolute;
  display: block;
  content: '';
  width: .9375rem;
  height: .625rem;
  right: 1.5625rem;
  bottom: 0;
  -webkit-transform: skew(40deg, 0);
  transform: skew(40deg, 0);
  background: var(--cl-2nd);
  -webkit-transition: right .2s;
  transition: right .2s;
}
.has-code:hover .peel-code {width: 3.125rem;}
.has-code:hover::after {right: 2.375rem;}
.has-code:hover::before {
  background-position: 0 0;
  -webkit-transform: rotate(15deg) translate(-.5rem, -.1875rem) scaleX(1);
  transform: rotate(15deg) translate(-.5rem, -.1875rem) scaleX(1);
}

/** Order **/
.order-col { display: flex; flex-flow: column; }
.order-row { display: flex; flex-flow: row; }
@media screen and (max-width: 769px) {
	.order-col-mobile { display: flex; flex-flow: column; }
	.order-row-mobile { display: flex; flex-flow: row; }
  .order-1-mobile { order: 1; }
  .order-2-mobile { order: 2; }
  .order-3-mobile { order: 3; }
  .order-4-mobile { order: 4; }
}
@media screen and (min-width: 769px) {
	.order-col-tablet { display: flex; flex-flow: column; }
	.order-row-tablet { display: flex; flex-flow: row; }
	.order-1-tablet { order: 1; }
  .order-2-tablet { order: 2; }
  .order-3-tablet { order: 3; }
  .order-4-tablet { order: 4; 
}
@media screen and (min-width: 1024px) {
	.order-col-desktop { display: flex; flex-flow: column; }
	.order-row-desktop { display: flex; flex-flow: row; }
	.order-1-desktop { order: 1; }
  .order-2-desktop { order: 2; }
  .order-3-desktop { order: 3; }
  .order-4-desktop { order: 4; }
}
@media screen and (min-width: 1216px) {
	.order-col-widescreen { display: flex; flex-flow: column; }
	.order-row-widescreen { display: flex; flex-flow: row; }
	.order-1-widescreen { order: 1; }
  .order-2-widescreen { order: 2; }
  .order-3-widescreen { order: 3; }
  .order-4-widescreen { order: 4; }
}
@media screen and (min-width: 1408px) {
	.order-col-fullhd { display: flex; flex-flow: column; }
	.order-row-fullhd { display: flex; flex-flow: row; }
  .order-1-fullhd { order: 1; }
  .order-2-fullhd { order: 2; }
  .order-3-fullhd { order: 3; }
  .order-4-fullhd { order: 4; }
}

/** Shape Dividers **/
.shapedividers-9239{
  overflow:hidden;
  position:relative;
}
.shapedividers-9239::before{
  content:'';
  font-family:'';
  position: absolute;
  bottom: -1px;
  left: -1px;
  right: -1px;
  top: -1px;
  z-index: 3;
  pointer-events: none;
  background-repeat: no-repeat; 
  background-size: 100% 90px;
  background-position: 50% 0%;    
  background-image: url('data:image/svg+xml;charset=utf8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 35.28 2.17" preserveAspectRatio="none"><path d="M0 .5c3.07.55 9.27-.42 16.14 0 6.88.4 13.75.57 19.14-.11V0H0z" fill="%23fbd8c2"/><path d="M0 1c3.17.8 7.29-.38 10.04-.55 2.75-.17 9.25 1.47 12.67 1.3 3.43-.17 4.65-.84 7.05-.87 2.4-.02 5.52.88 5.52.88V0H0z" opacity=".5" fill="%23fbd8c2"/><path d="M0 1.85c2.56-.83 7.68-.3 11.79-.42 4.1-.12 6.86-.61 9.58-.28 2.73.33 5.61 1.17 8.61 1 3-.19 4.73-.82 5.3-.84V.1H0z" opacity=".5" fill="%23fbd8c2"/></svg>'); 
}
@media (min-width:768px){
  .shapedividers-9239::before{
    background-size: 100% 90px;
    background-position: 50% 0%;   
  }  
}
@media (min-width:1025px){
  .shapedividers-9239::before{ 
    bottom: -0.1vw;
    left: -0.1vw;
    right: -0.1vw;
    top: -0.1vw; 
    background-size: 100% 50px;
    background-position: 50% 100%;  
    background-image: url('data:image/svg+xml;charset=utf8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 35.28 2.17" preserveAspectRatio="none"><path d="M35.28 1.67c-3.07-.55-9.27.41-16.15 0-6.87-.4-13.74-.58-19.13.1v.4h35.28z" fill="%23f0f0f0"/><path d="M35.28 1.16c-3.17-.8-7.3.4-10.04.56-2.76.17-9.25-1.47-12.68-1.3-3.42.16-4.64.84-7.04.86C3.12 1.31 0 .4 0 .4v1.77h35.28z" opacity=".5" fill="%23f0f0f0"/><path d="M35.28.31c-2.57.84-7.68.3-11.8.43-4.1.12-6.85.61-9.57.28C11.18.69 8.3-.16 5.3.02 2.3.22.57.85 0 .87v1.2h35.28z" opacity=".5" fill="%23f0f0f0"/></svg>'); 
  }
}
@media (min-width:2100px){
  .shapedividers-9239::before{
    background-size: 100% calc(2vw + 50px);
  }
}
